Vulnerability CVE-2022-29252


Published: 2022-05-25   Modified: 2022-05-26

Description:
XWiki Platform Wiki UI Main Wiki is a package for managing subwikis. Starting with version 5.3-milestone-2, XWiki Platform Wiki UI Main Wiki contains a possible cross-site scripting vector in the `WikiManager.JoinWiki ` wiki page related to the "requestJoin" field. The issue is patched in versions 12.10.11, 14.0-rc-1, 13.4.7, and 13.10.3. The easiest available workaround is to edit the wiki page `WikiManager.JoinWiki` (with wiki editor) according to the suggestion provided in the GitHub Security Advisory.

Type:

CWE-116

(Improper Encoding or Escaping of Output)

 References:
https://github.com/xwiki/xwiki-platform/commit/27f839133d41877e538d35fa88274b50a1c00b9b
https://jira.xwiki.org/browse/XWIKI-19292
https://github.com/xwiki/xwiki-platform/security/advisories/GHSA-ph5x-h23x-7q5q

Copyright 2022, cxsecurity.com

 

Back to Top